commit:     af141f8e789704d2c8ec47ad6610c8c8198f2e70
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  3 14:39:15 2020 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Wed Jun  3 14:40:49 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=af141f8e

scripts/bootstrap-prefix: run econf from bootstrap_simple too

and move the libressl specific code down here

Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 scripts/bootstrap-prefix.sh | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 33f699a817..f18832e648 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -709,7 +709,7 @@ bootstrap_portage() {
 }
 
 bootstrap_simple() {
-       local PN PV A S
+       local PN PV A S myconf
        PN=$1
        PV=$2
        A=${PN}-${PV}.tar.${3:-gz}
@@ -731,7 +731,14 @@ bootstrap_simple() {
        S="${S}"/${PN}-${PV}
        cd "${S}"
 
+       # for libressl, only provide static lib, such that wget (above)
+       # links it in and we don't have to bother about RPATH or something
+       if [[ ${PN} == "libressl" ]] ; then
+               myconf="${myconf} --enable-static --disable-shared"
+       fi
+
        einfo "Compiling ${A%-*}"
+       econf ${myconf} || return 1
        v $MAKE || return 1
 
        einfo "Installing ${A%-*}"
@@ -885,12 +892,6 @@ bootstrap_gnu() {
                fi
        fi
 
-       # for libressl, only provide static lib, such that wget (above)
-       # links it in and we don't have to bother about RPATH or something
-       if [[ ${PN} == "libressl" ]] ; then
-               myconf="${myconf} --enable-static --disable-shared"
-       fi
-
        # SuSE 11.1 has GNU binutils-2.20, choking on crc32_x86
        [[ ${PN} == "xz" ]] && myconf="${myconf} --disable-assembler"
 

Reply via email to